local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("XLootMonitor", "XLootMonitor")
if not Addon then return end

-- members
Addon.wasVisible = false
Addon.wasLocked = false

function Addon:Start()
    
    -- show the anchor
    self.wasVisible = XLootMonitor.AA.stacks.loot.opts.anchor.get()
    if not self.wasVisible then
        XLootMonitor.AA.stacks.loot.opts.anchor.set()
    end
    
    -- unlock the anchor
    self.wasLocked = XLootMonitor.AA.stacks.loot.opts.lock.get()
    XLootMonitor.AA.stacks.loot.opts.lock.set(false)
end

function Addon:Stop()
    
    -- hide the anchor
    if not self.wasVisible then
        XLootMonitor.AA.stacks.loot.opts.anchor.set()
    end

    -- lock the anchor
    XLootMonitor.AA.stacks.loot.opts.lock.set(self.wasLocked)
end