local NShakedown = NShakedown
local revision = tonumber(("$Revision: 77815 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-07-05 00:25:46 -0400 (Sat, 05 Jul 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("ClassTimer", "ClassTimer")
if not Addon then return end

local wasLocked

function Addon:Start()
    
    wasLocked = ClassTimer.options.args.lock.get()
    
    -- unlock, if not unlocked already
    if wasLocked then
        ClassTimer.options.args.lock.set(_, false)
    end
end

function Addon:Stop()

    -- lock the bars
    if wasLocked then
    	ClassTimer.options.args.lock.set(_, true)
    end

end