local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Incubator", "Incubator")
if not Addon then return end

function Addon:Start()
	
	if not Incubator:IsActive() then
	    IncubatorFuBar:OnClick()
	end
	
	if Incubator:IsActive() then
	    Incubator:UnlockAnchor()
	    Incubator:StartTest()
	end
end

function Addon:Stop()
	
	if Incubator:IsActive() then
		Incubator:StopTest()
	    Incubator:LockAnchor()
	end    
end
