local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("PitBull", "PitBull")
if not Addon then return end

Addon.configMode = nil

function Addon:Start()

    if not self.configMode then
        local NShakedown = Rock:GetAddon("NShakedown")
        self.configMode = NShakedown.db.profile.PitBull
    end
    
    -- swap to raid configuration; will swap to party if in party
    PitBull:ChangeConfigMode(self.configMode)
    
    -- unlock frames
    if PitBull.db.profile.settings.locked then
        PitBull.db.profile.settings.locked = false
    end
end

function Addon:Stop()

    -- get out of configuration mode
    PitBull:ChangeConfigMode(nil)

    -- lock frames
    PitBull.db.profile.settings.locked = true
end